- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TimeMeasurement Class Reference

The TimeMeasurement Class. More...

`#include <OSResult.h>`

Inheritance diagram for TimeMeasurement:

[legend]
Collaboration diagram for TimeMeasurement:

[legend]
List of all members.

## Public Member Functions
| TimeMeasurement ()
| Default constructor.
| ~TimeMeasurement ()
| Class destructor.
bool | IsEqual (TimeMeasurement *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
std::string | type
| The type of timer used (cpuTime/elapsedTime/other).
std::string | category
| The category of time (total/input/preprocessing/optimization/postprocessing/output/other).
std::string | description
| Further description on the timer used.

## Detailed Description

The TimeMeasurement Class.

Author:
  Horand Gassmann, Jun Ma, Kipp Martin

Remarks:
  A class that provides an individual time measurement as defined in the OSrL schema. Extends the class TimeSpan defined in OSGeneral.h by adding three elements type, category and description. This class supersedes the old class Time since version 2.3.

Definition at line 537 of file OSResult.h.

## Constructor & Destructor Documentation

TimeMeasurement::TimeMeasurement | ( |  | ) |

Default constructor.

Definition at line 245 of file OSResult.cpp.

TimeMeasurement::~TimeMeasurement | ( |  | ) |

Class destructor.

Definition at line 257 of file OSResult.cpp.

## Member Function Documentation

bool TimeMeasurement::IsEqual | ( | TimeMeasurement * | that | ) |

A function to check for the equality of two objects.

Definition at line 5853 of file OSResult.cpp.

bool TimeMeasurement::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Reimplemented from TimeSpan.

Definition at line 7602 of file OSResult.cpp.

References OSRand().

Referenced by TimingInformation::setRandom().

## Member Data Documentation

std::string TimeMeasurement::type

The type of timer used (cpuTime/elapsedTime/other).

Definition at line 543 of file OSResult.h.

Referenced by OSResult::addTimingInformation(), OSResult::setTimingInformation(), and OSrLWriter::writeOSrL().

std::string TimeMeasurement::category

The category of time (total/input/preprocessing/optimization/postprocessing/output/other).

Definition at line 548 of file OSResult.h.

Referenced by OSResult::addTimingInformation(), OSResult::setTimingInformation(), and OSrLWriter::writeOSrL().

std::string TimeMeasurement::description

Further description on the timer used.

Definition at line 553 of file OSResult.h.

Referenced by OSResult::addTimingInformation(), OSResult::setTimingInformation(), and OSrLWriter::writeOSrL().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp